package com.ruoyi.tuya.service;

import java.util.List;
import com.ruoyi.tuya.domain.BusTravel;

/**
 * 平台游记Service接口
 *
 * @author zf
 * @date 2022-07-20
 */
public interface IBusTravelService
{
    /**
     * 查询平台游记
     *
     * @param id 平台游记主键
     * @return 平台游记
     */
    public BusTravel selectBusTravelById(Long id);

    /**
     * 查询平台游记列表
     *
     * @param busTravel 平台游记
     * @return 平台游记集合
     */
    public List<BusTravel> selectBusTravelList(BusTravel busTravel);

    /**
     * 新增平台游记
     *
     * @param busTravel 平台游记
     * @return 结果
     */
    public int insertBusTravel(BusTravel busTravel);

    /**
     * 新增平台游记删除备份
     *
     * @param busTravel 平台游记删除备份
     * @return 结果
     */
    public int insertBusTravelDiscard(Long[] ids);

    /**
     * 修改平台游记
     *
     * @param busTravel 平台游记
     * @return 结果
     */
    public int updateBusTravel(BusTravel busTravel);

    /**
     * 批量删除平台游记
     *
     * @param ids 需要删除的平台游记主键集合
     * @return 结果
     */
    public int deleteBusTravelByIds(Long[] ids);

    /**
     * 删除平台游记信息
     *
     * @param id 平台游记主键
     * @return 结果
     */
    public int deleteBusTravelById(Long id);
}
